CREATE TABLE hrc_dl_rollback_info (
    ROLLBACK_INFO_ID         NUMBER       ,
    DATA_SET_BUS_OBJ_ID      NUMBER           NOT NULL,
    LOGICAL_LINE_ID          NUMBER           NOT NULL,
    BUSINESS_OBJECT_ID       NUMBER       ,
    TABLE_NAME               VARCHAR2(200),
    SURROGATE_ID             NUMBER           NOT NULL,
    COLUMN_NAME              VARCHAR2(400),
    ROLLBACK_FLAG            VARCHAR2(120),
    ACTION                   VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER       ,
    ROLLBACK_INFO_ID         NUMBER       ,
    DATA_SET_BUS_OBJ_ID      NUMBER           NOT NULL,
    LOGICAL_LINE_ID          NUMBER           NOT NULL,
    BUSINESS_OBJECT_ID       NUMBER       ,
    TABLE_NAME               VARCHAR2(200),
    SURROGATE_ID             NUMBER           NOT NULL,
    COLUMN_NAME              VARCHAR2(400),
    ROLLBACK_FLAG            VARCHAR2(120),
    ACTION                   VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER       ,
    CONSTRAINT pk_hrc_dl_rollback_info PRIMARY KEY (ROLLBACK_INFO_ID, ROLLBACK_INFO_ID)
);
